#######################################################
##        Lbserver to rgma startup script            ##
#######################################################
#!/bin/sh

EDG_WL_LOCATION=${EDG_WL_LOCATION:-/opt/edg}

. ${EDG_WL_LOCATION}/etc/edg-wl-vars.sh
. ${EDG_WL_LOCATION}/etc/profile.d/edg-wl.sh
. ${EDG_WL_LOCATION}/etc/profile.d/edg-wl-lbserver-rgma-env.sh

JAVA_PATH=${JAVA_INSTALL_PATH}
LOG4J_PATH=${LOG4J_INSTALL_PATH}
XERCESJ_PATH=${XERCESJ_INSTALL_PATH}

EXTRA_CLASSES="$EDG_LOCATION/share/java/info.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$XERCESJ_PATH/share/java/xerces-j1.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$LOG4J_PATH/share/java/log4j.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$EDG_LOCATION/share/java/edg-java-security-trustmanager-client.jar"

RGMA_PROPS="$EDG_LOCATION/etc/edg-rgma"
LOG4J_PROPS="-Dlog4j.configuration=file://$RGMA_PROPS/log4j.props"

exec "$JAVA_PATH/bin/java" -cp ".:$EXTRA_CLASSES" "$LOG4J_PROPS" -DRGMA_PROPS="$RGMA_PROPS" LBProducer "$@"
